aboutsummaryrefslogtreecommitdiffstats
path: root/testing/clapf/clapf.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2011-05-17 19:41:44 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-05-17 19:42:17 +0000
commitbdaf29c68ca9a14cb2adcbc944f26d59187c7743 (patch)
tree74415c3e8dfba7ba438e4a6e76d3613a096f04f9 /testing/clapf/clapf.initd
parent0038c58e264285009c7e1d3b0f8e396713882f5c (diff)
downloadaports-bdaf29c68ca9a14cb2adcbc944f26d59187c7743.tar.bz2
aports-bdaf29c68ca9a14cb2adcbc944f26d59187c7743.tar.xz
testing/clapf: new aport
Diffstat (limited to 'testing/clapf/clapf.initd')
-rw-r--r--testing/clapf/clapf.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/clapf/clapf.initd b/testing/clapf/clapf.initd
new file mode 100644
index 0000000000..eaf2aa49e3
--- /dev/null
+++ b/testing/clapf/clapf.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:
+
+depend() {
+ need net
+ use logger
+ before mta
+}
+
+start() {
+ ebegin "Starting clapf"
+ start-stop-daemon --start --quiet --user clapf --background \
+ --exec /usr/sbin/clapf --make-pidfile --pid /var/run/clapf/clapf.pid -- -c /etc/clapf.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping clapf"
+ start-stop-daemon --stop --quiet --pidfile /var/run/clapf/clapf.pid
+ eend $?
+}